import type { DisableStageTransitionInput, EnableStageTransitionInput, StageState } from '@aws-sdk/client-codepipeline';
export declare const getStageState: (pipelineName: string, stageName: string) => Promise<StageState | undefined>;
/**
 * Disables stage transitions. Will only disable if stageState.inboundTransitionState.enabled is false.
 * Strips invalid characters from the reason and truncates to 300 characters.
 */
export declare const disableStageTransition: (params: DisableStageTransitionInput, lastChangedByMustInclude: string, stageState?: StageState) => Promise<void>;
/**
 * Enables stage transitions. Will only enable if stageState.inboundTransitionState.enabled is true
 * and if lastChangedBy includes the lastChangedByMustInclude string.
 */
export declare const enableStageTransition: (params: EnableStageTransitionInput, lastChangedByMustInclude: string, stageState?: StageState) => Promise<void>;
